Debian Bug report logs - #183702
ftp.debian.org: dist-upgrade triggers massive kde uninstall

version graph

Package: kde; Maintainer for kde is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>;

Reported by: Thomas Koenig <Thomas.Koenig@online.de>

Date: Thu, 6 Mar 2003 21:18:05 UTC

Severity: serious

Tags: help, patch

Fixed in version meta-kde/5:43

Done: Adeodato Simó <asp16@alu.ua.es>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@debian.org>, ftp.debian.org@packages.qa.debian.org:
Bug#183702; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Thomas Koenig <Thomas.Koenig@online.de>:
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@debian.org>, ftp.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Koenig <Thomas.Koenig@online.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ftp.debian.org: dist-upgrade triggers massive kde uninstall
Date: Thu, 06 Mar 2003 22:12:14 +0100
Package: ftp.debian.org
Version: unavailable; reported 2003-03-06
Severity: important
Tags: sid

# apt-get -u dist-upgrade
Reading Package Lists... Done
Building Dependency Tree... Done
Calculating Upgrade... Done
The following packages will be REMOVED:
  amor ark artsbuilder bibletime eyesapplet fifteenapplet kab kabalone karm
  kasteroids kate katomic kbackgammon kbattleship kbear kblackbox kcalc kcd
  kcharselect kchart kcoloredit kcpuload kcron kde kde-games kdebase
  kdebase-audiolibs kdebase-crypto kdebase-libs kdecarddecks kdelibs3
  kdelibs3-bin kdelibs3-crypto kdepasswd kdewallpapers kdf kdict kdm kedit
  kfind kfloppy kformula kfract kghostview khexedit kiconedit kinkatta kit
  kivio kjezz kjots kjumpingcube klaptopdaemon kleandisk klines kljettool klpq
  klprfax kmago kmahjongg kmail kmerlin kmid kmidi kmines kmix kmoon
  knetfilter knetload knewsticker knode knotes kodo koffice koffice-libs
  konqueror konquest konsole kontour korn koshell kpackage kpaint kpat kpm
  kpoker kppp kpresenter krecord kreversi kruler krusader ksame kscore
  kscreensaver kshisen ksirc ksirtet ksmiletris ksnake ksnapshot ksokoban
  kspaceduel kspread ksysv ktalkd kteatime ktexmaker2 ktimer ktron ktuberling
  ktux kugar kuser kview kweather kwin4 kword kworldclock kwuftpd libfam0
  libkdegames libkdenetwork1 libkmid libkonq3 libqutil1 lskat mp3kult noatun
  quanta secpolicy uic
The following NEW packages will be installed:
  chromium kdebase-data kdegames-card-data kdelibs-data ksysguardd
  libbonoboui2-0 libbonoboui2-common libfam0c102 libgnome2-0 libgnomeui-0
  libgnomevfs2-0 libgnomevfs2-common libgsf-gnome-1 timidity
The following packages have been kept back
  libpgperl mc mpeglib
The following packages will be upgraded
  chromium-data cl-asdf clisp common-lisp-controller gnome-desktop-data
  gnumeric gnumeric-doc kde-i18n-de libbonobo-activation4 libfam-dev libg2c0
  libgnomecanvas2-common libkpathsea3 libqt2 librpm4 libwine libwine-print
  orbit tetex-base tetex-bin tetex-doc tetex-extra tetex-src textutils wine
  wine-doc wine-utils
27 packages upgraded, 14 newly installed, 132 to remove and 3  not upgraded.
Need to get 52.7MB/118MB of archives. After unpacking 141MB will be freed.
Do you want to continue? [Y/n] n
Abort.
#

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux meiner 2.4.19 #6 Wed Dec 25 10:04:59 CET 2002 i686
Locale: LANG=C, LC_CTYPE=de_DE@euro




Bug reassigned from package `ftp.debian.org' to `kdelibs4-dev'. Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christopher L Cheney <ccheney@debian.org>:
Bug#183702; Package kdelibs4-dev. Full text and rfc822 format available.

Acknowledgement sent to Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>:
Extra info received and forwarded to list. Copy sent to Christopher L Cheney <ccheney@debian.org>. Full text and rfc822 format available.

Message #12 received at 183702@bugs.debian.org (full text, mbox):

From: Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>
To: 183702@bugs.debian.org
Subject: Still a problem ?
Date: Fri, 24 Oct 2003 16:46:53 +0200
Hi,

Can you try to check if you're still getting the problem ?

thanks
domi



Tags added: moreinfo Request was from Dominique Devriese <dominique.devriese@student.kuleuven.ac.be> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#183702; Package kdelibs4-dev. Full text and rfc822 format available.

Acknowledgement sent to Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #19 received at 183702@bugs.debian.org (full text, mbox):

From: Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>
To: 183702@bugs.debian.org, 183702-submitter@bugs.debian.org
Subject: Still a problem ?
Date: Sat, 06 Dec 2003 22:43:29 +0100
Hi,

( Another copy of this mail, since I forgot to send a copy of it to
the submitter of the bug )

Could you please check if this problem still exists with the current
packages ?

Thanks
domi



Message sent on to Thomas Koenig <Thomas.Koenig@online.de>:
Bug#183702. Full text and rfc822 format available.

Tags removed: moreinfo Request was from Dominique Devriese <dominique.devriese@student.kuleuven.ac.be> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: help Request was from Dominique Devriese <dominique.devriese@student.kuleuven.ac.be> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#183702; Package kdelibs4-dev. Full text and rfc822 format available.

Acknowledgement sent to Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #31 received at 183702@bugs.debian.org (full text, mbox):

From: Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>
To: 183702@bugs.debian.org
Subject: confirmation + apt-get dist-upgrade debug output
Date: Sat, 13 Dec 2003 23:17:22 +0100
[Message part 1 (text/plain, inline)]
Hi,

I have tested this on a debian stable installation in VMWare, and I
can confirm it.  The machine had a clean debian stable install, along
with "apt-get install kde vim", after which i changed
/etc/apt/sources.list to use the unstable sources, and did a "apt-get
update".  Here is the debug apt-get dist-upgrade output, issued by the
following command:

apt-get -s -o Debug::pkgProblemResolver=1 dist-upgrade

[apt-get-kde-upgrade-debug-output.txt (text/plain, attachment)]
[Message part 3 (text/plain, inline)]
I think what should be done is to add a dummy kdelibs3 package which
depends on kdelibs4, but I do not have enough apt expertise to be
certain.  Anyone who knows more ?

cheers
domi

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#183702; Package kdelibs4-dev. Full text and rfc822 format available.

Acknowledgement sent to Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #36 received at 183702@bugs.debian.org (full text, mbox):

From: Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>
To: 183702@bugs.debian.org
Subject: confirmed
Date: Sat, 20 Dec 2003 01:15:18 +0100
[Message part 1 (text/plain, inline)]
Hi,

I thought I'd already sent this, but I have confirmed this bug on a
vmware debian stable->sid upgrade.  Here is the output of the 
       apt-get -o Debug::pkgProblemResolver=1 -s dist-upgrade
command ( not sure about the exact syntax of that command any more,
but you get the idea ).

[apt-get-kde-upgrade-debug-output.txt (text/plain, attachment)]
[Message part 3 (text/plain, inline)]
I'm afraid I'm not smart enough to figure this out ( either that or
it's too late already ;) ), so I'm going to tag this bug +help for
someone with more apt-get dist-upgrade knowledge.  

BTW, is dist-upgrade officially supported, because when I try to
upgrade in dselect, then I can simply do some enters, and accept the
proposed solutions, and everything works fine.  I have the impression
that dist-upgrade is a bit broken.

cheers
domi

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#183702; Package kdelibs4-dev. Full text and rfc822 format available.

Acknowledgement sent to Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #41 received at 183702@bugs.debian.org (full text, mbox):

From: Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>
To: 183702@bugs.debian.org
Subject: Third try
Date: Mon, 29 Dec 2003 11:04:06 +0100
[Message part 1 (text/plain, inline)]
Hi,

I've already tried to send this two times, I have no idea why it's not
getting through to the bug report page...

Anyway, I've tested this bug in a VMWare Debian stable machine, and
done something like this:

apt-get -s -o Debug::pkgProblemResolver=1 dist-upgrade

and I have gotten the attached output.  I'm not sure what this means,
but my guess is that we should provide a dummy kdelibs3 package that
depends on kdelibs4 or sth like that.  Anyway, as the help tag says,
help is welcomed here.

cheers
domi

[apt-get-kde-upgrade-debug-output.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#183702; Package kdelibs4-dev. Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #46 received at 183702@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>, 183702@bugs.debian.org
Subject: Re: Bug#183702: confirmation + apt-get dist-upgrade debug output
Date: Wed, 7 Jan 2004 12:09:09 -0800
On Sat, Dec 13, 2003 at 11:17:22PM +0100, Dominique Devriese wrote:

> The following packages will be REMOVED:
>   ark console-tools-libs kab karm kate kcalc kcharselect kchart kcoloredit
>   kcron kde kdebase kdebase-audiolibs kdebase-libs kdelibs3 kdelibs3-bin
>   kdepasswd kdf kdict kdm kedit kfind kformula kfract kghostview khexedit
>   kiconedit kit kivio kjots kmail knewsticker knode knotes koffice koffice-libs
>   konqueror konsole kontour korn koshell kpackage kpaint kpm kpresenter kruler
>   kscreensaver ksirc ksnapshot kspread ksysv ktimer kugar kuser kview kword
>   libarts libfam0 libkdenetwork1 libkmid libkonq3 liblcms libvorbis0 nas-lib
>   secpolicy 

Let's reduce the problem to what is actually going wrong.  Many of these are
OK.  These packages are obsolete and are being correctly removed:

console-tools-libs kab kdebase-audiolibs kdebase-libs kdelibs3 kdelibs3-bin
kfract kontour kpm libarts libfam0 libkdenetwork1 libkmid libkonq3 liblcms
libvorbis0 nas-lib

Because kdelibs4 conflicts with the kdelibs3 in woody, no packages which
depend on kdelibs3 can remain on the system.  Note that this completely
defeats the purpose of separating shared libraries, which is to allow smooth
upgrades, so I hope there was a good reason for adding this conflict.

Another problem is with the metapackages, most of which are simply
uninstallable in unstable.  kde depends on kde-core, which depensd on
kdelibs, which does not exist.  This is why the 'kde' metapackage is being
removed.

The rest of the breakage seems to be the result of hundreds more versioned
conflicts which seriously complicate the upgrade.  There is a reason why the
policy manual says:

  A Conflicts entry should almost never have an "earlier than" version
  clause.  This would prevent dpkg from upgrading or installing the package
  which declared such a conflict until the upgrade or removal of the
  conflicted-with package had been completed.

The current relationships result in the problem resolver choosing to remove
many of the problematic packages rather than upgrade them.

> I think what should be done is to add a dummy kdelibs3 package which
> depends on kdelibs4, but I do not have enough apt expertise to be
> certain.  Anyone who knows more ?

That could help, since many conflicts would be removed and replaced by
dependencies on dummy packages.

-- 
 - mdz



Message sent on to Thomas Koenig <Thomas.Koenig@online.de>:
Bug#183702. Full text and rfc822 format available.

Message #49 received at 183702-submitter@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: Chris Cheney <ccheney@cheney.cx>
Cc: 183702-submitter@bugs.debian.org, Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>
Subject: Re: [Matt Zimmerman] Re: Bug#183702: confirmation + apt-get dist-upgrade debug output
Date: Wed, 7 Jan 2004 15:12:15 -0800
On Wed, Jan 07, 2004 at 04:01:00PM -0600, Chris Cheney wrote:

> On Wed, Jan 07, 2004 at 01:31:07PM -0800, Matt Zimmerman wrote:
> > On Wed, Jan 07, 2004 at 02:54:00PM -0600, Chris Cheney wrote:
> > > He may have a valid point here, I am not really sure. However, I am pretty
> > > sure at least most of the versioned conflicts are correct. A lot of files
> > > moved around between packages in KDE for KDE3. That is one of the reasons
> > > I want KDE split properly upstream so things don't keep shuffling around
> > > as much. Between files being shuffled on purpose and files accidentally
> > > being in the wrong package there are quite a few files that moved between
> > > 2.2 and 3.x.
> > 
> > It might help a lot if you can convert some of those Conflicts into
> > Replaces.
> 
> Is there an easy way to determine when to use Conflicts and when to use
> Replaces? Is it safe to just convert them all to Replaces?

With Replaces, the upgrade will proceed as normal and ownership of the file
will transfer to the new package.  It only works in one direction, though;
if the other package is later upgraded, and the new version still has a file
overlap, it will fail.  So for packages which no longer exist post-woody, it
should be quite safe.  For packages which exist post-woody in a form that
doesn't conflict, that should be safe too.  It would be worth doing some
simulations in UML to see how it would all work.

-- 
 - mdz



Message sent on to Thomas Koenig <Thomas.Koenig@online.de>:
Bug#183702. Full text and rfc822 format available.

Message #52 received at 183702-submitter@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: Chris Cheney <ccheney@cheney.cx>
Cc: 183702-submitter@bugs.debian.org, Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>, deity@lists.debian.org
Subject: Re: [Matt Zimmerman] Re: Bug#183702: confirmation + apt-get dist-upgrade debug output
Date: Wed, 7 Jan 2004 13:31:07 -0800
[Message part 1 (text/plain, inline)]
On Wed, Jan 07, 2004 at 02:54:00PM -0600, Chris Cheney wrote:

> > Because kdelibs4 conflicts with the kdelibs3 in woody, no packages which
> > depend on kdelibs3 can remain on the system.  Note that this completely
> > defeats the purpose of separating shared libraries, which is to allow
> > smooth upgrades, so I hope there was a good reason for adding this
> > conflict.
> 
> There is no way around this, kdelibs3 and kdelibs4 cannot coexist due to
> KDE being a POS. (notice required .la runtime files) We hope that once
> kdelibs5 comes out this will no longer be a problem, but that probably
> won't occur for another year.

Is there any way that it could Replace kdelibs3 rather than conflicting with
it?

> > Another problem is with the metapackages, most of which are simply
> > uninstallable in unstable.  kde depends on kde-core, which depensd on
> > kdelibs, which does not exist.  This is why the 'kde' metapackage is
> > being removed.
> 
> I don't notice any problem with the kde metapackages in sid not being
> installable, I happen to have them all installed on my own box right now.
> BTW if you have kdelibs4 at all you should also have the kdelibs
> metapackage or at least see it in your available package listing.  kdelibs
> metapackage is produced from the same source as kdelibs4.

Hmm, odd...I must have made a typo or something.  It is there, but something
weird is going on there as well; it is impossible to install metapackages
such as kde-core individually when woody kde is installed and unstable is
available:

foo:~# apt-get install kde-core
Reading Package Lists... Done
Building Dependency Tree... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help to resolve the situation:

Sorry, but the following packages have unmet dependencies:
  kde-core: Depends: kdelibs but it is not going to be installed
E: Sorry, broken packages

I'm not too surprised that the resolver isn't able to find the optimal
solution for the dist-upgrade, but I'm surprised that it couldn't find a way
to install kde-core at all.  I'm attaching debug output for deity@lists.

> > The rest of the breakage seems to be the result of hundreds more versioned
> > conflicts which seriously complicate the upgrade.  There is a reason why the
> > policy manual says:
> > 
> >   A Conflicts entry should almost never have an "earlier than" version
> >   clause.  This would prevent dpkg from upgrading or installing the package
> >   which declared such a conflict until the upgrade or removal of the
> >   conflicted-with package had been completed.
> > 
> > The current relationships result in the problem resolver choosing to remove
> > many of the problematic packages rather than upgrade them.
> 
> He may have a valid point here, I am not really sure. However, I am pretty
> sure at least most of the versioned conflicts are correct. A lot of files
> moved around between packages in KDE for KDE3. That is one of the reasons
> I want KDE split properly upstream so things don't keep shuffling around
> as much. Between files being shuffled on purpose and files accidentally
> being in the wrong package there are quite a few files that moved between
> 2.2 and 3.x.

It might help a lot if you can convert some of those Conflicts into
Replaces.

-- 
 - mdz
[kde-core-resolver.text (text/plain, attachment)]

Message sent on to Thomas Koenig <Thomas.Koenig@online.de>:
Bug#183702. Full text and rfc822 format available.

Message #55 received at 183702-submitter@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: 183702-submitter@bugs.debian.org
Cc: Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>, Matt Zimmerman <mdz@debian.org>
Subject: Re: [Matt Zimmerman] Re: Bug#183702: confirmation + apt-get dist-upgrade debug output
Date: Wed, 7 Jan 2004 14:54:00 -0600
[Message part 1 (text/plain, inline)]
On Wed, Jan 07, 2004 at 09:18:33PM +0100, Dominique Devriese wrote:
> 
> Hi, 
> 
> Not sure whether you've seen this mail, but just to get some more of
> your attention to it ;).  I guess (?) that some of the problems may
> already be solved with your new meta-kde upload ?
> 
> cheers
> domi

See below for my responses.

Chris

> X-From-Line: mdz@alcor.net Wed Jan 07 21:13:33 2004
> Envelope-to: domi@localhost
> Delivery-date: Wed, 07 Jan 2004 21:13:33 +0100
> From: Matt Zimmerman <mdz@debian.org>
> To: Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>,
> 	183702@bugs.debian.org
> Subject: Re: Bug#183702: confirmation + apt-get dist-upgrade debug output
> X-Virus-Scanned: by KULeuven Antivirus Cluster
> X-Spam-Status: No, hits=0.0 tagged_above=-9999.0 required=6.0 tests=
> X-Spam-Level: 
> Xref: appel mail.misc:2999
> 
> On Sat, Dec 13, 2003 at 11:17:22PM +0100, Dominique Devriese wrote:
> 
> > The following packages will be REMOVED:
> >   ark console-tools-libs kab karm kate kcalc kcharselect kchart kcoloredit
> >   kcron kde kdebase kdebase-audiolibs kdebase-libs kdelibs3 kdelibs3-bin
> >   kdepasswd kdf kdict kdm kedit kfind kformula kfract kghostview khexedit
> >   kiconedit kit kivio kjots kmail knewsticker knode knotes koffice koffice-libs
> >   konqueror konsole kontour korn koshell kpackage kpaint kpm kpresenter kruler
> >   kscreensaver ksirc ksnapshot kspread ksysv ktimer kugar kuser kview kword
> >   libarts libfam0 libkdenetwork1 libkmid libkonq3 liblcms libvorbis0 nas-lib
> >   secpolicy 
> 
> Let's reduce the problem to what is actually going wrong.  Many of these are
> OK.  These packages are obsolete and are being correctly removed:
> 
> console-tools-libs kab kdebase-audiolibs kdebase-libs kdelibs3 kdelibs3-bin
> kfract kontour kpm libarts libfam0 libkdenetwork1 libkmid libkonq3 liblcms
> libvorbis0 nas-lib
> 
> Because kdelibs4 conflicts with the kdelibs3 in woody, no packages which
> depend on kdelibs3 can remain on the system.  Note that this completely
> defeats the purpose of separating shared libraries, which is to allow smooth
> upgrades, so I hope there was a good reason for adding this conflict.

There is no way around this, kdelibs3 and kdelibs4 cannot coexist due
to KDE being a POS. (notice required .la runtime files) We hope that
once kdelibs5 comes out this will no longer be a problem, but that
probably won't occur for another year.

> Another problem is with the metapackages, most of which are simply
> uninstallable in unstable.  kde depends on kde-core, which depensd on
> kdelibs, which does not exist.  This is why the 'kde' metapackage is being
> removed.

I don't notice any problem with the kde metapackages in sid not being
installable, I happen to have them all installed on my own box right
now. BTW if you have kdelibs4 at all you should also have the kdelibs
metapackage or at least see it in your available package listing.
kdelibs metapackage is produced from the same source as kdelibs4.

> The rest of the breakage seems to be the result of hundreds more versioned
> conflicts which seriously complicate the upgrade.  There is a reason why the
> policy manual says:
> 
>   A Conflicts entry should almost never have an "earlier than" version
>   clause.  This would prevent dpkg from upgrading or installing the package
>   which declared such a conflict until the upgrade or removal of the
>   conflicted-with package had been completed.
> 
> The current relationships result in the problem resolver choosing to remove
> many of the problematic packages rather than upgrade them.

He may have a valid point here, I am not really sure. However, I am pretty
sure at least most of the versioned conflicts are correct. A lot of files
moved around between packages in KDE for KDE3. That is one of the reasons
I want KDE split properly upstream so things don't keep shuffling around
as much. Between files being shuffled on purpose and files accidentally
being in the wrong package there are quite a few files that moved between
2.2 and 3.x.
[signature.asc (application/pgp-signature, inline)]

Message sent on to Thomas Koenig <Thomas.Koenig@online.de>:
Bug#183702. Full text and rfc822 format available.

Message #58 received at 183702-submitter@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: Matt Zimmerman <mdz@debian.org>, 183702-submitter@bugs.debian.org, Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>
Subject: Re: [Matt Zimmerman] Re: Bug#183702: confirmation + apt-get dist-upgrade debug output
Date: Wed, 7 Jan 2004 16:01:00 -0600
[Message part 1 (text/plain, inline)]
On Wed, Jan 07, 2004 at 01:31:07PM -0800, Matt Zimmerman wrote:
> On Wed, Jan 07, 2004 at 02:54:00PM -0600, Chris Cheney wrote:
> > He may have a valid point here, I am not really sure. However, I am pretty
> > sure at least most of the versioned conflicts are correct. A lot of files
> > moved around between packages in KDE for KDE3. That is one of the reasons
> > I want KDE split properly upstream so things don't keep shuffling around
> > as much. Between files being shuffled on purpose and files accidentally
> > being in the wrong package there are quite a few files that moved between
> > 2.2 and 3.x.
> 
> It might help a lot if you can convert some of those Conflicts into
> Replaces.

Is there an easy way to determine when to use Conflicts and when to use
Replaces? Is it safe to just convert them all to Replaces?

Thanks,
Chris Cheney
[signature.asc (application/pgp-signature, inline)]

Message sent on to Thomas Koenig <Thomas.Koenig@online.de>:
Bug#183702. Full text and rfc822 format available.

Message #61 received at 183702-submitter@bugs.debian.org (full text, mbox):

From: Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>
To: Matt Zimmerman <mdz@debian.org>
Cc: Chris Cheney <ccheney@cheney.cx>, 183702-submitter@bugs.debian.org
Subject: Re: [Matt Zimmerman] Re: Bug#183702: confirmation + apt-get dist-upgrade debug output
Date: Thu, 08 Jan 2004 11:53:58 +0100
Matt Zimmerman writes:

> On Wed, Jan 07, 2004 at 04:01:00PM -0600, Chris Cheney wrote:
>> On Wed, Jan 07, 2004 at 01:31:07PM -0800, Matt Zimmerman wrote:
>> > On Wed, Jan 07, 2004 at 02:54:00PM -0600, Chris Cheney wrote:
>> > > He may have a valid point here, I am not really sure. However,
>> > > I am pretty sure at least most of the versioned conflicts are
>> > > correct. A lot of files moved around between packages in KDE
>> > > for KDE3. That is one of the reasons I want KDE split properly
>> > > upstream so things don't keep shuffling around as much. Between
>> > > files being shuffled on purpose and files accidentally being in
>> > > the wrong package there are quite a few files that moved
>> > > between
>> > > 2.2 and 3.x.
>> >
>> > It might help a lot if you can convert some of those Conflicts
>> > into Replaces.
>>
>> Is there an easy way to determine when to use Conflicts and when to
>> use Replaces? Is it safe to just convert them all to Replaces?

> With Replaces, the upgrade will proceed as normal and ownership of
> the file will transfer to the new package.  It only works in one
> direction, though; if the other package is later upgraded, and the
> new version still has a file overlap, it will fail.  So for packages
> which no longer exist post-woody, it should be quite safe.  For
> packages which exist post-woody in a form that doesn't conflict,
> that should be safe too.  It would be worth doing some simulations
> in UML to see how it would all work.

The way I understand it, we have to make sure that kdelibs4 conflicts
with kdelibs3, because the two cannot meaningfully coexist on a single
system.  If we keep kdelibs3 around, then the user will expect apps
that depend on it to continue working, and this will not be the case.

We also cannot "provide" kdelibs3, because of the same problem above. 

I'm not sure how to deal with this otherwise, but I would like to try
this:

Make the new kdelibs source provide a dummy package kdelibs3 that
depends on kdelibs4, while the new kdelibs4 package conflicts with
kdelibs3.  This should make it impossible to keep kdelibs3 around, and
hopefully apt and dpkg will understand that it means they should
install kdelibs4 and uninstall kdelibs3.

cheers
domi



Message sent on to Thomas Koenig <Thomas.Koenig@online.de>:
Bug#183702. Full text and rfc822 format available.

Message #64 received at 183702-submitter@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>
Cc: Chris Cheney <ccheney@cheney.cx>, 183702-submitter@bugs.debian.org
Subject: Re: [Matt Zimmerman] Re: Bug#183702: confirmation + apt-get dist-upgrade debug output
Date: Thu, 8 Jan 2004 08:01:49 -0800
On Thu, Jan 08, 2004 at 11:53:58AM +0100, Dominique Devriese wrote:

> Matt Zimmerman writes:
> > With Replaces, the upgrade will proceed as normal and ownership of
> > the file will transfer to the new package.  It only works in one
> > direction, though; if the other package is later upgraded, and the
> > new version still has a file overlap, it will fail.  So for packages
> > which no longer exist post-woody, it should be quite safe.  For
> > packages which exist post-woody in a form that doesn't conflict,
> > that should be safe too.  It would be worth doing some simulations
> > in UML to see how it would all work.
> 
> The way I understand it, we have to make sure that kdelibs4 conflicts
> with kdelibs3, because the two cannot meaningfully coexist on a single
> system.  If we keep kdelibs3 around, then the user will expect apps
> that depend on it to continue working, and this will not be the case.

If this is so, then why is the conflict only with certain versions of
kdelibs3?

> Make the new kdelibs source provide a dummy package kdelibs3 that depends
> on kdelibs4, while the new kdelibs4 package conflicts with kdelibs3.  This
> should make it impossible to keep kdelibs3 around, and hopefully apt and
> dpkg will understand that it means they should install kdelibs4 and
> uninstall kdelibs3.

That would make it impossible to install kdelibs3 at all (its dependencies are
unsatisfiable).

-- 
 - mdz



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#183702; Package kdelibs4-dev. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #69 received at 183702@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: Matt Zimmerman <mdz@debian.org>, 183702@bugs.debian.org
Subject: Re: Bug#183702: confirmation + apt-get dist-upgrade debug output
Date: Thu, 8 Jan 2004 15:42:21 +0200
On Wed, Jan 07, 2004 at 12:09:09PM -0800, Matt Zimmerman wrote:
> depend on kdelibs3 can remain on the system.  Note that this completely
> defeats the purpose of separating shared libraries, which is to allow smooth
> upgrades, so I hope there was a good reason for adding this conflict.

I have not verified tthis personally, but according to upstream, there
is little chance any kde2 application will work with the
updated data files kde3 brings to the system. Technically it should
enough if just kdelibs-data conflicted with kdelibs3, so this conflict
is superfluous.

> Another problem is with the metapackages, most of which are simply
> uninstallable in unstable.  kde depends on kde-core, which depensd on
> kdelibs, which does not exist.  This is why the 'kde' metapackage is being
> removed.

kdelibs does definetly exist on sid. apt-get install kde appears also
functional.

> The rest of the breakage seems to be the result of hundreds more versioned
> conflicts which seriously complicate the upgrade.  

Most of these are because files have moved around from package to
another at the time of major upstream upgrade. Replacing a kde2 package
partially with files from a kde3 package will most definatly result an
unusable system.

I guess that they are unneeded too, as installing the kde3 app will not
be possible without installing kdelibs4 (and thus) kdelibs-data?

> > I think what should be done is to add a dummy kdelibs3 package which
> > depends on kdelibs4, but I do not have enough apt expertise to be
> > certain.  Anyone who knows more ?
 
> That could help, since many conflicts would be removed and replaced by
> dependencies on dummy packages.

In that case, we would still need to make sure that after installing the
dummy kdelibs3 no apps depending on the real kdelibs3 would be installed
anymore?

-- 
Riku Voipio  	       |    riku.voipio@iki.fi         |
kirkkonummentie 33     |    +358 40 8476974          --+--
02140 Espoo            |                               |
dark> A bad analogy is like leaky screwdriver          |



Information stored:
Bug#183702; Package kdelibs4-dev. Full text and rfc822 format available.

Acknowledgement sent to Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #74 received at 183702-quiet@bugs.debian.org (full text, mbox):

From: Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>
To: Matt Zimmerman <mdz@debian.org>
Cc: Chris Cheney <ccheney@cheney.cx>, 183702-quiet@bugs.debian.org
Subject: Re: [Matt Zimmerman] Re: Bug#183702: confirmation + apt-get dist-upgrade debug output
Date: Thu, 08 Jan 2004 17:31:24 +0100
Matt Zimmerman writes:

> On Thu, Jan 08, 2004 at 05:10:02PM +0100, Dominique Devriese wrote:
>> Matt Zimmerman writes:
>>
>> > That would make it impossible to install kdelibs3 at all (its
>> > dependencies are unsatisfiable).
>>
>> That would be the intention, yes.  In sarge, you shouldn't and
>> won't be able to install kdelibs3.  It would be nice to be able to
>> have both available, but this isn't possible due to upstream probs.

> If it is not meant to be installed, then it should not exist (and
> does not); having an unsatisfiable relationship is not likely to
> have a positive effect on the upgrade process.

OK, perhaps we can make kdelibs4 only conflict with kdelibs3 versions
prior to the dummy package.  Such "transitional" packages are often
used.  Look at the package "gimp1.2" for example.

cheers
domi



Message sent on to Thomas Koenig <Thomas.Koenig@online.de>:
Bug#183702. Full text and rfc822 format available.

Message #77 received at 183702-submitter@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>
Cc: Chris Cheney <ccheney@cheney.cx>, 183702-submitter@bugs.debian.org
Subject: Re: [Matt Zimmerman] Re: Bug#183702: confirmation + apt-get dist-upgrade debug output
Date: Thu, 8 Jan 2004 08:17:39 -0800
On Thu, Jan 08, 2004 at 05:10:02PM +0100, Dominique Devriese wrote:

> Matt Zimmerman writes:
> 
> > That would make it impossible to install kdelibs3 at all (its
> > dependencies are unsatisfiable).
> 
> That would be the intention, yes.  In sarge, you shouldn't and won't
> be able to install kdelibs3.  It would be nice to be able to have both
> available, but this isn't possible due to upstream probs.

If it is not meant to be installed, then it should not exist (and does not);
having an unsatisfiable relationship is not likely to have a positive effect
on the upgrade process.

-- 
 - mdz



Message sent on to Thomas Koenig <Thomas.Koenig@online.de>:
Bug#183702. Full text and rfc822 format available.

Message #80 received at 183702-submitter@bugs.debian.org (full text, mbox):

From: Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>
To: Matt Zimmerman <mdz@debian.org>
Cc: Chris Cheney <ccheney@cheney.cx>, 183702-submitter@bugs.debian.org
Subject: Re: [Matt Zimmerman] Re: Bug#183702: confirmation + apt-get dist-upgrade debug output
Date: Thu, 08 Jan 2004 17:10:02 +0100
Matt Zimmerman writes:

> On Thu, Jan 08, 2004 at 11:53:58AM +0100, Dominique Devriese wrote:
>> Matt Zimmerman writes:
>> > With Replaces, the upgrade will proceed as normal and ownership
>> > of the file will transfer to the new package.  It only works in
>> > one direction, though; if the other package is later upgraded,
>> > and the new version still has a file overlap, it will fail.  So
>> > for packages which no longer exist post-woody, it should be quite
>> > safe.  For packages which exist post-woody in a form that doesn't
>> > conflict, that should be safe too.  It would be worth doing some
>> > simulations in UML to see how it would all work.
>>
>> The way I understand it, we have to make sure that kdelibs4
>> conflicts with kdelibs3, because the two cannot meaningfully
>> coexist on a single system.  If we keep kdelibs3 around, then the
>> user will expect apps that depend on it to continue working, and
>> this will not be the case.

> If this is so, then why is the conflict only with certain versions
> of kdelibs3?

I have no idea, Chris ?

>> Make the new kdelibs source provide a dummy package kdelibs3 that
>> depends on kdelibs4, while the new kdelibs4 package conflicts with
>> kdelibs3.  This should make it impossible to keep kdelibs3 around,
>> and hopefully apt and dpkg will understand that it means they
>> should install kdelibs4 and uninstall kdelibs3.

> That would make it impossible to install kdelibs3 at all (its
> dependencies are unsatisfiable).

That would be the intention, yes.  In sarge, you shouldn't and won't
be able to install kdelibs3.  It would be nice to be able to have both
available, but this isn't possible due to upstream probs.

cheers
domi



Information stored:
Bug#183702; Package kdelibs4-dev. Full text and rfc822 format available.

Acknowledgement sent to Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #85 received at 183702-quiet@bugs.debian.org (full text, mbox):

From: Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>
To: 183702-quiet@bugs.debian.org
Cc: Matt Zimmerman <mdz@debian.org>
Subject: Re: Bug#183702: [Matt Zimmerman] Re: Bug#183702: confirmation + apt-get dist-upgrade debug output
Date: Thu, 08 Jan 2004 19:52:32 +0100
Dominique Devriese writes:

> Matt Zimmerman writes:
>> On Thu, Jan 08, 2004 at 05:10:02PM +0100, Dominique Devriese wrote:
>>> Matt Zimmerman writes:
>>>
>>> > That would make it impossible to install kdelibs3 at all (its
>>> > dependencies are unsatisfiable).
>>>
>>> That would be the intention, yes.  In sarge, you shouldn't and
>>> won't be able to install kdelibs3.  It would be nice to be able to
>>> have both available, but this isn't possible due to upstream
>>> probs.

>> If it is not meant to be installed, then it should not exist (and
>> does not); having an unsatisfiable relationship is not likely to
>> have a positive effect on the upgrade process.

> OK, perhaps we can make kdelibs4 only conflict with kdelibs3
> versions prior to the dummy package.  

Ignore that comment, this would not be ok, since then packages
depending on kdelibs3 would remain installed, yet they would not
work. 

cheers
domi



Information stored:
Bug#183702; Package kdelibs4-dev. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #90 received at 183702-quiet@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>, 183702-quiet@bugs.debian.org, Chris Cheney <ccheney@cheney.cx>
Subject: Bug#183702: dist-upgrade triggers massive kde uninstall
Date: Sun, 18 Jan 2004 13:50:16 +0200
Hi,

Domi, you tested the upgrade with woodys apt? using sids apt
dist-upgrade works fine. dist-upgrade to sarge doesn't work because
of the well known allways-broken lm-sensors.

Since atleast the woody upgrade instructions[1] recommend
upgrading apt and dpkg before dist-upgrade, this isn't that big problem,
just a nuisance. 

Still, I don't undestand why we need so many versioned conflicts.

[1] http://www.debian.org/releases/woody/i386/release-notes/ch-upgrading.en.html



Information stored:
Bug#183702; Package kdelibs4-dev. Full text and rfc822 format available.

Acknowledgement sent to Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #95 received at 183702-quiet@bugs.debian.org (full text, mbox):

From: Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>
To: Riku Voipio <riku.voipio@iki.fi>
Cc: 183702-quiet@bugs.debian.org, Chris Cheney <ccheney@cheney.cx>
Subject: Re: Bug#183702: dist-upgrade triggers massive kde uninstall
Date: Sun, 18 Jan 2004 13:01:48 +0100
Riku Voipio writes:

> Hi, Domi, you tested the upgrade with woodys apt? 

Yes

> using sids apt dist-upgrade works fine. dist-upgrade to sarge
> doesn't work because of the well known allways-broken lm-sensors.

k

> Since atleast the woody upgrade instructions[1] recommend upgrading
> apt and dpkg before dist-upgrade, this isn't that big problem, just
> a nuisance.

k, then the bug's severity can be lowered significantly, right ?

> Still, I don't undestand why we need so many versioned conflicts.

I haven't looked at it, but it would be nice if we would also support
apt-get dist-upgrade from woody, since a lot of people are bound to
try to use it.

cheers
domi



Message sent on to Thomas Koenig <Thomas.Koenig@online.de>:
Bug#183702. Full text and rfc822 format available.

Message #98 received at 183702-submitter@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: 183702-submitter@bugs.debian.org, Riku Voipio <riku.voipio@iki.fi>, Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>, Matt Zimmerman <mdz@debian.org>
Subject: ftp.debian.org: dist-upgrade triggers massive kde uninstall
Date: Tue, 6 Apr 2004 17:24:34 -0500
[Message part 1 (text/plain, inline)]
I think this bug has been fixed with the KDE 3.2.1-1 upload made last
month but I am not 100% certain. I went through and redid all the
conflicts/replaces so that it should deal with upgrades cleaner. Can
someone or multiple people test this out to verify it works right. The
last time I tried it worked for me.

Note there are some other bugs with respect to upgrading about
alternatives not being updated right so KDE might not actually run
depending on what x-session-manager is set to, but that is not directly
related to this bug and is already filed separately.

Thanks,
Chris
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#183702; Package kdelibs4-dev. Full text and rfc822 format available.

Acknowledgement sent to Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #103 received at 183702-quiet@bugs.debian.org (full text, mbox):

From: Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>
To: Chris Cheney <ccheney@cheney.cx>
Cc: 183702-quiet@bugs.debian.org, 183702-submitter@bugs.debian.org, Riku Voipio <riku.voipio@iki.fi>, Matt Zimmerman <mdz@debian.org>
Subject: Re: Bug#183702: ftp.debian.org: dist-upgrade triggers massive kde uninstall
Date: Mon, 12 Apr 2004 11:42:16 +0200
Chris Cheney writes:

> I think this bug has been fixed with the KDE 3.2.1-1 upload made
> last month but I am not 100% certain. I went through and redid all
> the conflicts/replaces so that it should deal with upgrades
> cleaner. Can someone or multiple people test this out to verify it
> works right. The last time I tried it worked for me.

This is what I get:
  appel:~# apt-get dist-upgrade
  Reading Package Lists...
  Building Dependency Tree...
  The following packages will be REMOVED:
    ark console-tools-libs kab karm kate kcalc kcharselect kchart
    kcoloredit kcron kde kdebase kdebase-audiolibs kdebase-libs
    kdepasswd kdf
    kdict kdm kedit kfind kformula kfract kghostview khexedit kiconedit
    kit kivio kjots kmail knewsticker knode knotes koffice koffice-libs
    konqueror konsole kontour korn koshell kpackage kpaint kpm
    kpresenter kruler kscreensaver ksirc ksnapshot kspread ksysv ktimer
    kugar kuser
    kview kword libarts libfam0 libkdenetwork1 libkmid libkonq3 liblcms
    libvorbis0 secpolicy 
  The following NEW packages will be installed:
    aptitude bc coreutils cpp-3.3 debconf-i18n dosfstools dselect
    e2fslibs edict enscript esound-common fontconfig gcc-3.3-base gv
    imagemagick
    imlib-base imlib11 initscripts kanjidic kdeartwork-misc
    kdeartwork-theme-icon kdebase-data kdeedu-data kdegames-card-data
    klettres-data
    knewsticker-scripts kstars-data ksysguardd libacl1 libart-2.0-2
    libartsc0 libasound2 libaspell15 libattr1 libblkid1 libbluetooth1
    libcomerr2 libconsole libcupsys2 libdb1-compat libdb3-util libdb4.0
    libdb4.0++c102 libdb4.2 libdevmapper1.00 libesd0 libexif9 libexpat1
    libfam0c102 libfinance-quote-perl libflac4 libfontconfig1
    libfribidi0 libgadu3 libgcc1 libgcrypt1 libgcrypt7 libgdbm3
    libglib1.2
    libglib2.0-0 libgnutls10 libgnutls7 libgpg-error0 libgphoto2-2
    libgphoto2-port0 libgsf-1 libgstreamer0.6-0 libgtk1.2
    libgtk1.2-common
    libhtml-parser-perl libhtml-tableextract-perl libhtml-tagset-perl
    libhtml-tree-perl libice6 libid3-3.8.3 libieee1284-3
    libio-stringy-perl
    libiw27 libjpeg-progs libkdgantt0 libkrb53 liblcms1
    liblocale-gettext-perl liblzo1 libmad0 libmagic1 libmagick5.5.7
    libmailtools-perl
    libmal1 libmime-perl libmusicbrainz2 libncursesw5 libnetpbm10
    libnews-nntpclient-perl libnewt0.51 libopencdk8 libpaper-utils
    libpaper1
    libpcap0.7 libpisock8 libpng10-0 libpng12-0 libraw1394-5 libsane
    libsasl2 libsdl1.2debian libsdl1.2debian-oss libsensors3
    libsigc++-1.2-5c102 libslp1 libsm6 libsmbclient libsnmp-base
    libsnmp5 libspeex1 libss2 libssl0.9.7 libstdc++5 libtag1 libtasn1-0
    libtasn1-2
    libtext-charwidth-perl libtext-iconv-perl libtext-wrapi18n-perl
    libtextwrap1 libtimedate-perl libungif4g liburi-perl libusb-0.1-4
    libuuid1
    libvorbis0a libvorbisenc2 libvorbisfile3 libwmf0.2-7 libwv2-1
    libwww-perl libx11-6 libxcursor1 libxext6 libxft1 libxft2 libxi6
    libxine1
    libxmu6 libxmuu1 libxp6 libxpm4 libxrandr2 libxrender1 libxslt1.1
    libxt6 libxtrap6 libxtst6 libxv1 netpbm poster psutils python2.2
    python2.3 slang1a-utf8 sysv-rc trm ttf-bitstream-vera ucf vim-common
    xaw3dg xlibmesa-dri xlibmesa-gl xlibmesa-glu xlibs-data xmms 
  137 packages upgraded, 171 newly installed, 62 to remove and 0  not
  upgraded.
  Need to get 145MB of archives. After unpacking 162MB will be used.
  Do you want to continue? [Y/n] n
  Abort.

When first upgrading apt, I still get:
  appel:~# apt-get -u dist-upgrade
  Reading Package Lists... Done
  Building Dependency Tree... Done
  Calculating Upgrade... Done
  The following packages will be REMOVED:
    ark console-tools-libs kab karm kate kcalc kcharselect kchart
    kcoloredit kcron kde kdebase kdebase-audiolibs kdebase-libs
    kdepasswd kdf
    kdict kdm kedit kfind kformula kfract kghostview khexedit kiconedit
    kit kivio kjots kmail knewsticker knode knotes koffice koffice-libs
    konqueror konsole kontour korn koshell kpackage kpaint kpm
    kpresenter kruler kscreensaver ksirc ksnapshot kspread ksysv ktimer
    kugar kuser
    kview kword libarts libfam0 libkdenetwork1 libkmid libkonq3 liblcms
    libvorbis0 nas-lib secpolicy
  The following NEW packages will be installed:
    aptitude arts bc coreutils cpp-3.3 debconf-i18n dosfstools dselect
    e2fslibs edict enscript esound-common fontconfig gv imagemagick
    imlib-base imlib11 initscripts kanjidic kdeartwork-misc
    kdeartwork-theme-icon kdebase-data kdeedu-data kdegames-card-data
    klettres-data
    knewsticker-scripts kstars-data ksysguardd libacl1 libart-2.0-2
    libarts1 libarts1-audiofile libartsc0 libasound2 libaspell15
    libattr1
    libaudio2 libblkid1 libbluetooth1 libcomerr2 libconsole libcupsys2
    libdb3-util libdb4.0 libdb4.0++c102 libdb4.2 libdevmapper1.00
    libesd0
    libexif9 libexpat1 libfam0c102 libfinance-quote-perl libflac4
    libfontconfig1 libfribidi0 libgadu3 libgcrypt1 libgcrypt7 libgdbm3
    libglib1.2
    libglib2.0-0 libgnutls10 libgnutls7 libgpg-error0 libgphoto2-2
    libgphoto2-port0 libgsf-1 libgstreamer0.6-0 libgtk1.2
    libgtk1.2-common
    libhtml-parser-perl libhtml-tableextract-perl libhtml-tagset-perl
    libhtml-tree-perl libice6 libid3-3.8.3 libieee1284-3
    libio-stringy-perl
    libiw27 libjpeg-progs libkdegst0.6 libkdgantt0 libkrb53 liblcms1
    liblocale-gettext-perl liblzo1 libmad0 libmagic1 libmagick5.5.7
    libmailtools-perl libmal1 libmime-perl libmusicbrainz2 libncursesw5
    libnetpbm10 libnews-nntpclient-perl libnewt0.51 libopencdk8
    libpaper-utils libpaper1 libpcap0.7 libpisock8 libpng10-0 libpng12-0
    libqt3c102-mt libraw1394-5 libsane libsasl2 libsdl1.2debian
    libsdl1.2debian-oss libsensors3 libsigc++-1.2-5c102 libslp1 libsm6
    libsmbclient libsnmp-base libsnmp5 libspeex1 libss2 libssl0.9.7
    libtag1
    libtasn1-0 libtasn1-2 libtext-charwidth-perl libtext-iconv-perl
    libtext-wrapi18n-perl libtextwrap1 libtimedate-perl libungif4g
    liburi-perl
    libusb-0.1-4 libuuid1 libvorbis0a libvorbisenc2 libvorbisfile3
    libwmf0.2-7 libwv2-1 libwww-perl libx11-6 libxcursor1 libxext6
    libxft1
    libxft2 libxi6 libxine1 libxmu6 libxmuu1 libxp6 libxpm4 libxrandr2
    libxrender1 libxslt1.1 libxt6 libxtrap6 libxtst6 libxv1 netpbm
    poster
    psutils python2.2 python2.3 slang1a-utf8 sysv-rc trm
    ttf-bitstream-vera ucf vim-common xaw3dg xlibmesa-dri xlibmesa-gl
    xlibmesa-glu
    xlibs-data xmms
  The following packages will be upgraded:
    adduser base-config base-files base-passwd bash bsdmainutils
    bsdutils console-common console-data console-tools cpio cpp cpp-2.95
    cron
    debconf debianutils defoma dhcp-client dialog diff dpkg e2fsprogs ed
    exim fdutils file fileutils findutils gettext-base grep groff-base
    gs
    gs-common gsfonts gzip hostname ifupdown info iptables kdebase-doc
    kdewallpapers klogd lesstif1 libaudiofile0 libcap1 libcdparanoia0
    libdb2
    libdb3 libdps1 libfreetype6 libgdbmg1 libgimpprint1 libgpmg1
    libident libjpeg62 libldap2 liblockfile1 libmimelib1 libmng1
    libncurses5
    libogg0 libpam-modules libpam-runtime libpam0g libpaperg libpcre3
    libpng2 libpopt0 libqt2 libreadline4 librpm4 libsasl7 libssl0.9.6
    libstdc++2.10-glibc2.2 libtiff3g libwrap0 libxaw7 libxml2 libxslt1
    lilo login logrotate mailx makedev man-db manpages mawk modconf
    modutils
    mount nano ncurses-base ncurses-bin net-tools netbase nvi passwd
    pciutils pcmcia-cs perl perl-base perl-modules ppp pppconfig pppoe
    pppoeconf procmail procps psmisc python python2.1 rpm sed setserial
    shellutils slang1 sysklogd syslinux sysvinit tar tasksel tcpd telnet
    textutils util-linux vim whiptail xbase-clients xfonts-base
    xfree86-common xlibmesa3 xlibs xutils zlib1g
  134 upgraded, 173 newly installed, 63 to remove and 0 not upgraded.
  Need to get 143MB of archives.
  After unpacking 170MB of additional disk space will be used.
  Do you want to continue? [Y/n] n
  Abort.

Guess there are still problems :(

cheers
domi



Message sent on to Thomas Koenig <Thomas.Koenig@online.de>:
Bug#183702. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-release@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#183702; Package kdelibs4-dev. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-release@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #111 received at 183702@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: 183702@bugs.debian.org
Subject: Update and some tests on the kdelibs upgrade problem
Date: Sun, 28 Nov 2004 16:28:00 +0100
reassign 183702 kdelibs4
# the severity may be debatable, but I prefer to inflate it for
# practical reasons (i.e. ensure that it is tracked closely)
severity 183702 serious
tags 183702 patch
tags 183702 - sid
thanks

Hi.

We have done some tests here on the BSP regarding the KDE upgrade
problems. There are still some, allthough they are much smaller
than mentioned at the beginning of the bug report. It is definetly
a good idea to update apt(itude) to sarge before attempting a
dist-upgrade but this doesn't solve all the problems.

Especially apt-get still gets confused by the kdelibs4 <-> kdelibs <->
kdelibs3 relations (kdelibs{,3,4}-bin is similar). I would suggest
going for the meta-package solution proposed earlier in the bug report.

We have created a kdelibs3 and a kdelibs3-bin package with equivs that
just depend on kdelibs4(-bin) (>= 4:3.2). That seemed to resolve all the
problems with apt-get, however we haven't tested all the possible
combinations of woody/sarge apt-get/aptitude (yet).

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/



Bug reassigned from package `kdelibs4-dev' to `kdelibs4'. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious'. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: sid Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#183702; Package kdelibs4. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #124 received at 183702@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: Frank Lichtenheld <djpig@debian.org>, 183702@bugs.debian.org
Subject: Re: Bug#183702: Update and some tests on the kdelibs upgrade problem
Date: Sun, 28 Nov 2004 18:03:35 +0200
On Sun, Nov 28, 2004 at 04:28:00PM +0100, Frank Lichtenheld wrote:
> Especially apt-get still gets confused by the kdelibs4 <-> kdelibs <->
> kdelibs3 relations (kdelibs{,3,4}-bin is similar). I would suggest
> going for the meta-package solution proposed earlier in the bug report.

The problem with creating kdelibs3 metapackage, is that it leaves kde2
packages depending on kdelibs3 still on the system. And unsuprinsgly 
they will no longer work, since the actual libs are gone...

> We have created a kdelibs3 and a kdelibs3-bin package with equivs that
> just depend on kdelibs4(-bin) (>= 4:3.2). That seemed to resolve all the
> problems with apt-get, however we haven't tested all the possible
> combinations of woody/sarge apt-get/aptitude (yet).

Did you check if packages depending on kdelibs3 where still installed
on the system after upgrade?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#183702; Package kdelibs4. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #129 received at 183702@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Riku Voipio <riku.voipio@iki.fi>, 183702@bugs.debian.org
Subject: Re: Bug#183702: Update and some tests on the kdelibs upgrade problem
Date: Wed, 1 Dec 2004 14:30:11 +0100
On Sun, Nov 28, 2004 at 06:03:35PM +0200, Riku Voipio wrote:
> On Sun, Nov 28, 2004 at 04:28:00PM +0100, Frank Lichtenheld wrote:
> > Especially apt-get still gets confused by the kdelibs4 <-> kdelibs <->
> > kdelibs3 relations (kdelibs{,3,4}-bin is similar). I would suggest
> > going for the meta-package solution proposed earlier in the bug report.
> 
> The problem with creating kdelibs3 metapackage, is that it leaves kde2
> packages depending on kdelibs3 still on the system. And unsuprinsgly 
> they will no longer work, since the actual libs are gone...

Hmm, quite true, didn't thought of this. Only providing a kdelibs3-bin
transitional package might work, though, since all packages that depends
on kdelibs3-bin also depends on kdelibs3 (or are kdelibs3). Need to test
that, though.

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#183702; Package kdelibs4. Full text and rfc822 format available.

Acknowledgement sent to Adeodato Simó <asp16@alu.ua.es>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #134 received at 183702@bugs.debian.org (full text, mbox):

From: Adeodato Simó <asp16@alu.ua.es>
To: 183702@bugs.debian.org, Frank Lichtenheld <djpig@debian.org>
Cc: control@bugs.debian.org
Subject: Re: Bug#183702: Update and some tests on the kdelibs upgrade problem
Date: Sat, 11 Dec 2004 22:18:07 +0100
reassign 183702 kde
stop here

* Frank Lichtenheld [Wed, 01 Dec 2004 14:30:11 +0100]:

> Hmm, quite true, didn't thought of this. Only providing a kdelibs3-bin
> transitional package might work, though, since all packages that depends
> on kdelibs3-bin also depends on kdelibs3 (or are kdelibs3). Need to test
> that, though.
  
  just a follow-up. according to Frank's further testing [1], a
  kdelibs3-bin dummy package will do for apt-get, but only if apt-get
  itself is upgraded first to sarge's version.

    [1] http://release.debian.org/kde-upgrade.txt

  some member of the KDE Team will make an upload of meta-kde that will
  include a dummy kdelibs3-bin package (*). I'm reassigning accordingly.

    (*) in fact, we shouldn't wait too much since it'll need NEW
        processing.

-- 
Adeodato Simó
    EM: asp16 [ykwim] alu.ua.es | PK: DA6AE621
 
The reasonable man adapts himself to the world; the unreasonable one
persists in trying to adapt the world to himself.  Therefore all
progress depends on the unreasonable man.
                -- George Bernard Shaw




Bug reassigned from package `kdelibs4' to `kde'. Request was from Adeodato Simó <asp16@alu.ua.es> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to 183702@bugs.debian.org, Adeodato Simó <asp16@alu.ua.es>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Thomas Koenig <Thomas.Koenig@online.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #141 received at 183702-done@bugs.debian.org (full text, mbox):

From: Adeodato Simó <asp16@alu.ua.es>
To: 183702-done@bugs.debian.org
Subject: kde upgrades fine now (with dummy kdelibs3-bin), closing
Date: Thu, 27 Jan 2005 09:13:41 +0100
This should address all the kde upgrading woes. See [1] for details.
Short summary: the only tool that can't upgrade is apt-get from woody.
aptitude from woody (which is recommended in the Release Notes) does
fine.

  [1] http://release.debian.org/kde-upgrade.txt

meta-kde (5:43) unstable; urgency=low

  * Added kdelibs3-bin dummy package to aid woody transitions.

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 14 Dec 2004 00:12:46 +0200

testing (kde): The K Desktop Environment - transitional package 
5:43: all 
unstable (kde): The K Desktop Environment - transitional package 
5:43: all 

-- 
Adeodato Simó
    EM: asp16 [ykwim] alu.ua.es | PK: DA6AE621
    Listening to: Andrés Calamaro - El día D
 
To be nobody but yourself in a world which is doing its best night and
day to make you like everybody else means to fight the hardest battle
any human being can fight and never stop fighting.
                -- e.e. cummings




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:30:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.